Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 628644 - negative range at Configuration, target systems
Summary: negative range at Configuration, target systems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 540
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2010-08-30 15:57 UTC by Petr Sklenar
Modified: 2010-10-28 14:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 14:48:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot with negative range (deleted)
2010-08-30 15:57 UTC, Petr Sklenar
no flags Details

Description Petr Sklenar 2010-08-30 15:57:27 UTC
Created attachment 441971 [details]
screenshot with negative range

Description of problem:
There is negative range at Configuration > Systems > go to 'Target Systems'

Version-Release number of selected component (if applicable):
sat540 tady installed
spacewalk-backend-1.2.8-1.el5sat

How reproducible:
always

Steps to Reproduce:
1. Configuration > Systems > go to 'Target Systems'
2. there is list of system
3. range number of machines is strange (negative)  	
  
Actual results:
'-24  - 2 of 2 (0 selected)'

Expected results:
1 - 1 of 1 (1 selected)  

Additional info:
see screenshot

Comment 1 Petr Sklenar 2010-08-30 16:01:41 UTC
I had 25 entries per list page set in local preferences. When I reset to 500 there were -499  - 2 of 2 (0 selected)

Comment 2 Petr Sklenar 2010-08-31 08:29:49 UTC
I can see the same at 'System Entitlement' page:
<FQDN_OF_SAT>/rhn/systems/SystemEntitlements.do

Comment 3 Petr Sklenar 2010-09-02 11:39:34 UTC
I can see the same also at list of package in your created errata:
<FQDN_OF_SAT>/rhn/errata/manage/ListPackages.do?eid=XXXXXXX

Comment 4 Partha Aji 2010-09-09 22:34:13 UTC
This should ve been fixed after
http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=2d5555a812abeacab314d76c0112a6fbd1d00a90 , i.e. after spacewalk-java-1.2.18-1 . Please check this again and fail if it doesnot work.

Comment 5 Petr Sklenar 2010-09-10 11:08:23 UTC
Verified with: 
spacewalk-java-1.2.23-1.el5sat
Satellite-5.4.0-RHEL5-re20100903.1

Comment 6 Miroslav Suchý 2010-10-19 08:33:27 UTC
verified in stage

Comment 7 Clifford Perry 2010-10-28 14:44:06 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.